{% extends 'base.html.twig' %}

{% block title %}Gente{% endblock %}

{% block body %}
    <div class="container">

        <div class="col-8 box-users"> 
            {% if type=='following' %}
                <h2 class="title-gente">Gente seguida por {{ profile_user.nick }}</h2>
            {% else %}
                <h2 class="title-gente">Seguidores de {{ profile_user.nick }} </h2>
            {% endif %}
            <div class="badge badge-primary">
                Total de personas:
                <span class="badge badge-light" style="font-weight:bold;font-size: 14px">
                    {{pagination.getTotalItemCount}}
                </span>

            </div>
            <hr>
            <div class="list-users">
                {% for follow in pagination  %}
                    {% if type=='following' %}
                        
                        {% set users=follow.followed %}
                    {% else %}
                        
                        {% set users=follow.user %}
                    {% endif %}
                    <div class="user-item">
                        <div class="avatar-list">
                            {% if users.image==null %}
                                <img src="{{asset('uploads/users/default-user-icon.png')}}" alt="">
                            {% else %}
                                <img src="{{asset('uploads/users/'~users.image)}}" alt="">
                            {% endif %}
                        </div>          
                        <div class="list-div"><a href="{{path('user_profile',{'nickname':users.nick})}}">{{users.name}} {{users.surname}} | {{users.nick}}</a></div>
                        {%if app.user.id !=users.id%}
                            <div class="follow-button-div">   
                                <button type="button" class="btn btn-success follow-button
                                        {% if app.user|following(users) == true %}
                                            d-none
                                        {% endif %} 
                                        " data-followed="{{users.id}}"><i class="fas fa-check-circle"></i> Seguir</button>

                                <button type="button" class="btn btn-secondary unfollow-button
                                        {% if app.user|following(users)== false %}
                                            d-none
                                        {% endif %}
                                        " data-followed="{{users.id}}"><i class="fas fa-times-circle"></i>Dejar de seguir</button>
                            </div>
                        {%endif%}
                        <div class="list-div">{{users.bio}}</div>
                        <hr>
                    </div>  
                {% endfor %}
            </div>
            <div class="navigation">
                {{ knp_pagination_render(pagination)}}
            </div>
        </div>
    </div>
{% endblock %}
{% block javascripts %}
    <script src="{{asset('assets/js/users.js')}}"></script>
{% endblock %}

